## python-qt4 4.6.2-maemo20091218.0

=== Qt/Makefile ===
TARGET = Qt.so
OFILES = sipQtcmodule.o
HFILES =  

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -I. -I/usr/include/python2.5
CFLAGS = -pipe -fPIC -O3 -Wall -W
CXXFLAGS = -pipe -fPIC -O3 -Wall -W
LFLAGS = -shared -Wl,-O1 -Wl,--version-script=Qt.exp
LIBS = -Wl,-rpath-link=/usr/lib
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQt; local: *; };' > Qt.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/Qt || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/Qt
	cp -f ../sip/Qt/Qtmod.sip $(DESTDIR)/usr/share/sip/PyQt4/Qt/Qtmod.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtcmodule.o
	-rm -f Qt.exp
