=== QtCore/Makefile ===
TARGET = QtCore.so
OFILES = sipQtCorecmodule.o sipQtCoreQList0600QPair0100QByteArray0100QByteArray.o sipQtCoreQList0600QPair0100QString0100QString.o sipQtCoreQList0100QUrl.o sipQtCoreQMap18000100QVariant.o sipQtCoreQList0100QByteArray.o sipQtCoreQVector0100QXmlStreamNotationDeclaration.o sipQtCoreQVector0100QXmlStreamNamespaceDeclaration.o sipQtCoreQVector0100QXmlStreamEntityDeclaration.o sipQtCoreQMap0100QString0100QVariant.o sipQtCoreQList0100QVariant.o sipQtCoreQHash0100QString0100QVariant.o sipQtCoreQList0101QObject.o sipQtCoreQList0100QModelIndex.o sipQtCoreQList0100QFileInfo.o sipQtCoreQXmlStreamWriter.o sipQtCoreQXmlStreamReader.o sipQtCoreQXmlStreamEntityResolver.o sipQtCoreQXmlStreamEntityDeclaration.o sipQtCoreQXmlStreamNotationDeclaration.o sipQtCoreQXmlStreamNamespaceDeclaration.o sipQtCoreQXmlStreamAttributes.o sipQtCoreQXmlStreamAttribute.o sipQtCoreQWaitCondition.o sipQtCoreQVector2400.o sipQtCoreQVector1900.o sipQtCoreQVariant_5.o sipQtCoreQVariant_4.o sipQtCoreQUuid.o sipQtCoreQUrlFormattingOptions.o sipQtCoreQUrl.o sipQtCoreQTranslator.o sipQtCoreQTimer.o sipQtCoreQTimeLine.o sipQtCoreQThreadPool.o sipQtCoreQThread.o sipQtCoreQTextStreamManipulator.o sipQtCoreQTextStreamNumberFlags.o sipQtCoreQTextStream.o sipQtCoreQTextDecoder.o sipQtCoreQTextEncoder.o sipQtCoreQTextCodecConverterState.o sipQtCoreQTextCodecConversionFlags.o sipQtCoreQTextCodec.o sipQtCoreQTextBoundaryFinderBoundaryReasons.o sipQtCoreQTextBoundaryFinder.o sipQtCoreQTemporaryFile.o sipQtCoreQSystemSemaphore.o sipQtCoreQStringMatcher_0.o sipQtCoreQStringList_0.o sipQtCoreQStringList_1.o sipQtCoreQStringRef_0.o sipQtCoreQStringRef_1.o sipQtCoreQLatin1String_0.o sipQtCoreQStringSectionFlags_0.o sipQtCoreQString_0.o sipQtCoreQString_1.o sipQtCoreQSocketNotifier.o sipQtCoreQSizeF.o sipQtCoreQSize.o sipQtCoreQSignalMapper.o sipQtCoreQSharedMemory.o sipQtCoreQSettings.o sipQtCoreQSemaphore.o sipQtCoreQRunnable.o sipQtCoreQResource.o sipQtCoreQRegExp.o sipQtCoreQRectF.o sipQtCoreQRect.o sipQtCoreQWriteLocker.o sipQtCoreQReadLocker.o sipQtCoreQReadWriteLock.o sipQtCoreQProcess.o sipQtCoreQPointF.o sipQtCoreQPoint.o sipQtCoreQPluginLoader.o sipQtCoreQPair18001800.o sipQtCoreQGenericReturnArgument.o sipQtCoreQGenericArgument.o sipQtCoreQMetaObject.o sipQtCoreQObjectCleanupHandler.o sipQtCoreQWidget.o sipQtCoreQMutexLocker.o sipQtCoreQMutex.o sipQtCoreQMimeData.o sipQtCoreQMetaType.o sipQtCoreQMetaClassInfo.o sipQtCoreQMetaProperty.o sipQtCoreQMetaEnum.o sipQtCoreQMetaMethod.o sipQtCoreQList0100QLocaleCountry.o sipQtCoreQSystemLocale.o sipQtCoreQLocaleNumberOptions.o sipQtCoreQLocale.o sipQtCoreQList2400.o sipQtCoreQList1800.o sipQtCoreQList0600QPair24002400.o sipQtCoreQList0600QPair18001800.o sipQtCoreQLineF.o sipQtCoreQLine.o sipQtCoreQLibraryInfo.o sipQtCoreQLibraryLoadHints.o sipQtCoreQLibrary.o sipQtCoreQIODeviceOpenMode.o sipQtCoreQFSFileEngine.o sipQtCoreQFileSystemWatcher.o sipQtCoreQFileInfo.o sipQtCoreQFilePermissions.o sipQtCoreQFile.o sipQtCoreQEventLoopProcessEventsFlags.o sipQtCoreQEventLoop.o sipQtCoreQDirIteratorIteratorFlags.o sipQtCoreQDirIterator.o sipQtCoreQDirSortFlags.o sipQtCoreQDirFilters.o sipQtCoreQDir.o sipQtCoreQDateTime.o sipQtCoreQTime.o sipQtCoreQDate.o sipQtCoreQDataStream.o sipQtCoreQCryptographicHash.o sipQtCoreQDynamicPropertyChangeEvent.o sipQtCoreQChildEvent.o sipQtCoreQTimerEvent.o sipQtCoreQEvent.o sipQtCoreQCoreApplication.o sipQtCoreQChar_0.o sipQtCoreQChar_1.o sipQtCoreQLatin1Char_0.o sipQtCoreQByteArrayMatcher.o sipQtCoreQByteArray.o sipQtCoreQBuffer.o sipQtCoreQIODevice.o sipQtCoreQBitArray.o sipQtCoreQBasicTimer.o sipQtCoreQAbstractListModel.o sipQtCoreQAbstractTableModel.o sipQtCoreQAbstractItemModel.o sipQtCoreQPersistentModelIndex.o sipQtCoreQModelIndex.o sipQtCoreQAbstractFileEngineIterator.o sipQtCoreQAbstractFileEngineHandler.o sipQtCoreQAbstractFileEngineFileFlags.o sipQtCoreQAbstractFileEngine.o sipQtCoreQAbstractEventDispatcher.o sipQtCoreQObject.o sipQtCoreQtTextInteractionFlags.o sipQtCoreQtMatchFlags.o sipQtCoreQtItemFlags.o sipQtCoreQtDropActions.o sipQtCoreQtToolBarAreas.o sipQtCoreQtDockWidgetAreas.o sipQtCoreQtImageConversionFlags.o sipQtCoreQtWindowStates.o sipQtCoreQtWindowFlags.o sipQtCoreQtAlignment.o sipQtCoreQtOrientations.o sipQtCoreQtMouseButtons.o sipQtCoreQtKeyboardModifiers.o sipQtCoreQt.o sipQtCoreQSysInfo.o
HFILES = sipAPIQtCore.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_CORE_LIB -I. -I/home/maemo/python-qt4-4.6.2/qpy/QtCore -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/home/maemo/python-qt4-4.6.2/qpy/QtCore -Wl,-rpath,/usr/lib -Wl,--version-script=QtCore.exp
LIBS = -L/home/maemo/python-qt4-4.6.2/qpy/QtCore -L/usr/lib -lqpycore -Wl,-rpath-link=/usr/lib -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtCore; local: *; };' > QtCore.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtCore || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtCore
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qmargins.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qmargins.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qeasingcurve.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qeasingcurve.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsignalmapper.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsignalmapper.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsignaltransition.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsignaltransition.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qcryptographichash.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qcryptographichash.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qcoreapplication.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qcoreapplication.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstringlist.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstringlist.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qcoreevent.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qcoreevent.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstringmatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstringmatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qfile.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qfile.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qmetatype.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qmetatype.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qvariant.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qvariant.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qfilesystemwatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qfilesystemwatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qmetaobject.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qmetaobject.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qthread.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qthread.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtimer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtimer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qresource.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qresource.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsocketnotifier.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsocketnotifier.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstractstate.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstractstate.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qregexp.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qregexp.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qnumeric.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qnumeric.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qhash.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qhash.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstractitemmodel.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstractitemmodel.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtemporaryfile.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtemporaryfile.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtextcodec.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtextcodec.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qfsfileengine.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qfsfileengine.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qobjectcleanuphandler.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qobjectcleanuphandler.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsize.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsize.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qvariantanimation.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qvariantanimation.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qlist.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qlist.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qchar.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qchar.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstracteventdispatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstracteventdispatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstring.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstring.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qdatastream.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qdatastream.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstracttransition.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstracttransition.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qlibrary.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qlibrary.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qobject.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qobject.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbuffer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbuffer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qxmlstream.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qxmlstream.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qparallelanimationgroup.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qparallelanimationgroup.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbytearraymatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbytearraymatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstatemachine.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstatemachine.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qobjectdefs.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qobjectdefs.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qwaitcondition.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qwaitcondition.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbasictimer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbasictimer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbitarray.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbitarray.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbytearray.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbytearray.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qlocale.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qlocale.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsequentialanimationgroup.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsequentialanimationgroup.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qpair.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qpair.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qeventloop.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qeventloop.sip
