=== QtGui/Makefile ===
TARGET = QtGui.so
OFILES = sipQtGuicmodule.o sipQtGuiQList0101QUndoStack.o sipQtGuiQList0101QTreeWidgetItem.o sipQtGuiQList0101QTextFrame.o sipQtGuiQList0100QTextBlock.o sipQtGuiQVector0100QTextLayoutFormatRange.o sipQtGuiQList0100QTextLayoutFormatRange.o sipQtGuiQList0100QTextOptionTab.o sipQtGuiQVector0100QTextLength.o sipQtGuiQVector0100QTextFormat.o sipQtGuiQList0101QTableWidgetItem.o sipQtGuiQList0100QTableWidgetSelectionRange.o sipQtGuiQList0101QStandardItem.o sipQtGuiQList0100QTextEditExtraSelection.o sipQtGuiQList0100QPolygonF.o sipQtGuiQVector0100QRect.o sipQtGuiQVector0100QRectF.o sipQtGuiQVector0100QPoint.o sipQtGuiQVector0100QLine.o sipQtGuiQVector0100QPointF.o sipQtGuiQVector0100QLineF.o sipQtGuiQList0101QMdiSubWindow.o sipQtGuiQList0101QDockWidget.o sipQtGuiQList0101QListWidgetItem.o sipQtGuiQList0100QRectF.o sipQtGuiQList0101QGraphicsView.o sipQtGuiQList0600QPair24000100QPointF.o sipQtGuiQList0101QGraphicsItem.o sipQtGuiQList0100QInputMethodEventAttribute.o sipQtGuiQMap0100QDate0100QTextCharFormat.o sipQtGuiQList0101QAbstractButton.o sipQtGuiQList0101QGraphicsWidget.o sipQtGuiQList0100QKeySequence.o sipQtGuiQList0101QAction.o sipQtGuiQList0100QSize.o sipQtGuiQVector0100QAbstractTextDocumentLayoutSelection.o sipQtGuiQList0101QWidget.o sipQtGuiQVector0600QPair24000100QColor.o sipQtGuiQPyTextObject.o sipQtGuiQX11Info.o sipQtGuiDisplay.o sipQtGuiQX11EmbedContainer.o sipQtGuiQX11EmbedWidget.o sipQtGuiQWorkspace.o sipQtGuiQList0100QWizardWizardButton.o sipQtGuiQWizardPage.o sipQtGuiQWizardWizardOptions.o sipQtGuiQWizard.o sipQtGuiQWidgetAction.o sipQtGuiQWidgetRenderFlags.o sipQtGuiQWhatsThis.o sipQtGuiQRegExpValidator.o sipQtGuiQDoubleValidator.o sipQtGuiQIntValidator.o sipQtGuiQValidator.o sipQtGuiQUndoView.o sipQtGuiQUndoStack.o sipQtGuiQUndoCommand.o sipQtGuiQUndoGroup.o sipQtGuiQTreeWidgetItemIteratorIteratorFlags.o sipQtGuiQTreeWidgetItemIterator.o sipQtGuiQTreeWidget.o sipQtGuiQTreeWidgetItem.o sipQtGuiQTreeView.o sipQtGuiQTransform.o sipQtGuiQToolTip.o sipQtGuiQToolButton.o sipQtGuiQToolBox.o sipQtGuiQToolBar.o sipQtGuiQTextTable.o sipQtGuiQTextTableCell.o sipQtGuiQTextOptionTab.o sipQtGuiQTextOptionFlags.o sipQtGuiQTextOption.o sipQtGuiQTextBlockUserData.o sipQtGuiQTextFragment.o sipQtGuiQTextBlockiterator.o sipQtGuiQTextBlock.o sipQtGuiQTextFrameiterator.o sipQtGuiQTextFrame.o sipQtGuiQTextObject.o sipQtGuiQTextList.o sipQtGuiQTextBlockGroup.o sipQtGuiQTextLine.o sipQtGuiQTextLayoutFormatRange.o sipQtGuiQTextLayout.o sipQtGuiQTextInlineObject.o sipQtGuiQTextTableCellFormat.o sipQtGuiQTextTableFormat.o sipQtGuiQTextFrameFormat.o sipQtGuiQTextImageFormat.o sipQtGuiQTextListFormat.o sipQtGuiQTextBlockFormat.o sipQtGuiQTextCharFormat.o sipQtGuiQTextFormatPageBreakFlags.o sipQtGuiQTextFormat.o sipQtGuiQTextLength.o sipQtGuiQTextEditAutoFormatting.o sipQtGuiQTextEditExtraSelection.o sipQtGuiQTextDocumentWriter.o sipQtGuiQTextDocumentFragment.o sipQtGuiQTextDocumentFindFlags.o sipQtGuiQTextDocument.o sipQtGuiQt.o sipQtGuiQTextCursor.o sipQtGuiQTextBrowser.o sipQtGuiQTextEdit.o sipQtGuiQTabWidget.o sipQtGuiQTableWidget.o sipQtGuiQTableWidgetItem.o sipQtGuiQTableWidgetSelectionRange.o sipQtGuiQTableView.o sipQtGuiQTabBar.o sipQtGuiQSyntaxHighlighter.o sipQtGuiQStylePainter.o sipQtGuiQStyleOptionTabV3.o sipQtGuiQStyleOptionTabBarBaseV2.o sipQtGuiQStyleOptionFrameV3.o sipQtGuiQStyleOptionViewItemV4.o sipQtGuiQStyleHintReturnVariant.o sipQtGuiQStyleOptionToolBoxV2.o sipQtGuiQStyleOptionViewItemV3.o sipQtGuiQStyleOptionDockWidgetV2.o sipQtGuiQStyleOptionGraphicsItem.o sipQtGuiQStyleOptionViewItemV2ViewItemFeatures.o sipQtGuiQStyleOptionViewItemV2.o sipQtGuiQStyleOptionGroupBox.o sipQtGuiQStyleOptionToolBarToolBarFeatures.o sipQtGuiQStyleOptionToolBar.o sipQtGuiQStyleHintReturnMask.o sipQtGuiQStyleHintReturn.o sipQtGuiQStyleOptionTitleBar.o sipQtGuiQStyleOptionComboBox.o sipQtGuiQStyleOptionToolButtonToolButtonFeatures.o sipQtGuiQStyleOptionToolButton.o sipQtGuiQStyleOptionSpinBox.o sipQtGuiQStyleOptionSlider.o sipQtGuiQStyleOptionComplex.o sipQtGuiQStyleOptionRubberBand.o sipQtGuiQStyleOptionToolBox.o sipQtGuiQStyleOptionViewItem.o sipQtGuiQStyleOptionDockWidget.o sipQtGuiQStyleOptionMenuItem.o sipQtGuiQStyleOptionProgressBarV2.o sipQtGuiQStyleOptionProgressBar.o sipQtGuiQStyleOptionTabV2.o sipQtGuiQStyleOptionTabCornerWidgets.o sipQtGuiQStyleOptionTab.o sipQtGuiQStyleOptionButtonButtonFeatures.o sipQtGuiQStyleOptionButton.o sipQtGuiQStyleOptionHeader.o sipQtGuiQStyleOptionTabBarBase.o sipQtGuiQStyleOptionTabWidgetFrame.o sipQtGuiQStyleOptionFrameV2FrameFeatures.o sipQtGuiQStyleOptionFrameV2.o sipQtGuiQStyleOptionFrame.o sipQtGuiQStyleOptionFocusRect.o sipQtGuiQStyleOption.o sipQtGuiQStyleFactory.o sipQtGuiQStyledItemDelegate.o sipQtGuiQStyleSubControls.o sipQtGuiQStyleState.o sipQtGuiQStyle.o sipQtGuiQStringListModel.o sipQtGuiQStatusBar.o sipQtGuiQStandardItem.o sipQtGuiQStandardItemModel.o sipQtGuiQStackedWidget.o sipQtGuiQStackedLayout.o sipQtGuiQSplitterHandle.o sipQtGuiQSplitter.o sipQtGuiQSplashScreen.o sipQtGuiQDoubleSpinBox.o sipQtGuiQSpinBox.o sipQtGuiQSound.o sipQtGuiQSortFilterProxyModel.o sipQtGuiQSlider.o sipQtGuiQSizePolicyControlTypes.o sipQtGuiQSizePolicy.o sipQtGuiQShortcut.o sipQtGuiQSessionManager.o sipQtGuiQScrollBar.o sipQtGuiQScrollArea.o sipQtGuiQRubberBand.o sipQtGuiQRegion.o sipQtGuiQRadioButton.o sipQtGuiQProxyModel.o sipQtGuiQProgressDialog.o sipQtGuiQProgressBar.o sipQtGuiQPolygonF.o sipQtGuiQPolygon.o sipQtGuiQPlainTextDocumentLayout.o sipQtGuiQPlainTextEdit.o sipQtGuiQPixmapCache.o sipQtGuiQPictureIO.o sipQtGuiQPicture.o sipQtGuiQPen.o sipQtGuiQPalette.o sipQtGuiQPainterPathStroker.o sipQtGuiQPainterPathElement.o sipQtGuiQPainterPath.o sipQtGuiQPaintEngineState.o sipQtGuiQPaintEngineDirtyFlags.o sipQtGuiQPaintEnginePaintEngineFeatures.o sipQtGuiQPaintEngine.o sipQtGuiQTextItemRenderFlags.o sipQtGuiQTextItem.o sipQtGuiQPainterRenderHints.o sipQtGuiQPainter.o sipQtGuiQMovie.o sipQtGuiQMessageBoxStandardButtons.o sipQtGuiQMessageBox.o sipQtGuiQMenuBar.o sipQtGuiQMenu.o sipQtGuiQMdiSubWindowSubWindowOptions.o sipQtGuiQMdiSubWindow.o sipQtGuiQMdiAreaAreaOptions.o sipQtGuiQMdiArea.o sipQtGuiQMatrix.o sipQtGuiQMainWindowDockOptions.o sipQtGuiQMainWindow.o sipQtGuiQListWidget.o sipQtGuiQListWidgetItem.o sipQtGuiQListView.o sipQtGuiQLineEdit.o sipQtGuiQLCDNumber.o sipQtGuiQWidgetItem.o sipQtGuiQSpacerItem.o sipQtGuiQLayoutItem.o sipQtGuiQLabel.o sipQtGuiQKeySequence.o sipQtGuiQItemSelection.o sipQtGuiQItemSelectionModelSelectionFlags.o sipQtGuiQItemSelectionModel.o sipQtGuiQItemSelectionRange.o sipQtGuiQItemEditorFactory.o sipQtGuiQItemEditorCreatorBase.o sipQtGuiQItemDelegate.o sipQtGuiQInputDialogInputDialogOptions.o sipQtGuiQInputDialog.o sipQtGuiQInputContextFactory.o sipQtGuiQInputContext.o sipQtGuiQImageWriter.o sipQtGuiQImageReader.o sipQtGuiQImageIOHandler.o sipQtGuiQImage.o sipQtGuiQPaintDevice.o sipQtGuiQIconEngineV2AvailableSizesArgument.o sipQtGuiQIconEngineV2.o sipQtGuiQIconEngine.o sipQtGuiQIcon.o sipQtGuiQHeaderView.o sipQtGuiQGroupBox.o sipQtGuiQGridLayout.o sipQtGuiQGraphicsViewOptimizationFlags.o sipQtGuiQGraphicsViewCacheMode.o sipQtGuiQGraphicsView.o sipQtGuiQGraphicsSceneMoveEvent.o sipQtGuiQGraphicsSceneResizeEvent.o sipQtGuiQGraphicsSceneDragDropEvent.o sipQtGuiQGraphicsSceneHelpEvent.o sipQtGuiQGraphicsSceneHoverEvent.o sipQtGuiQGraphicsSceneContextMenuEvent.o sipQtGuiQGraphicsSceneWheelEvent.o sipQtGuiQGraphicsSceneMouseEvent.o sipQtGuiQGraphicsSceneEvent.o sipQtGuiQGraphicsSceneSceneLayers.o sipQtGuiQGraphicsScene.o sipQtGuiQGraphicsProxyWidget.o sipQtGuiQGraphicsWidget.o sipQtGuiQGraphicsLinearLayout.o sipQtGuiQGraphicsLayoutItem.o sipQtGuiQGraphicsItemAnimation.o sipQtGuiQGraphicsItemGroup.o sipQtGuiQGraphicsSimpleTextItem.o sipQtGuiQGraphicsTextItem.o sipQtGuiQGraphicsPixmapItem.o sipQtGuiQGraphicsLineItem.o sipQtGuiQGraphicsPolygonItem.o sipQtGuiQGraphicsEllipseItem.o sipQtGuiQGraphicsRectItem.o sipQtGuiQGraphicsPathItem.o sipQtGuiQAbstractGraphicsShapeItem.o sipQtGuiQGraphicsItemGraphicsItemFlags.o sipQtGuiQGraphicsItem.o sipQtGuiQGraphicsGridLayout.o sipQtGuiQGraphicsLayout.o sipQtGuiQFormLayout.o sipQtGuiQFontMetricsF.o sipQtGuiQFontMetrics.o sipQtGuiQFontInfo.o sipQtGuiQFontDialogFontDialogOptions.o sipQtGuiQFontDialog.o sipQtGuiQList0100QFontDatabaseWritingSystem.o sipQtGuiQFontDatabase.o sipQtGuiQFontComboBoxFontFilters.o sipQtGuiQFontComboBox.o sipQtGuiQFont.o sipQtGuiQFocusFrame.o sipQtGuiQFileSystemModel.o sipQtGuiQFileIconProvider.o sipQtGuiQFileDialogOptions.o sipQtGuiQFileDialog.o sipQtGuiQWindowStateChangeEvent.o sipQtGuiQShortcutEvent.o sipQtGuiQFileOpenEvent.o sipQtGuiQActionEvent.o sipQtGuiQWhatsThisClickedEvent.o sipQtGuiQStatusTipEvent.o sipQtGuiQHelpEvent.o sipQtGuiQDragLeaveEvent.o sipQtGuiQDragEnterEvent.o sipQtGuiQDragMoveEvent.o sipQtGuiQDropEvent.o sipQtGuiQMimeSource.o sipQtGuiQInputMethodEventAttribute.o sipQtGuiQInputMethodEvent.o sipQtGuiQContextMenuEvent.o sipQtGuiQHideEvent.o sipQtGuiQShowEvent.o sipQtGuiQIconDragEvent.o sipQtGuiQCloseEvent.o sipQtGuiQResizeEvent.o sipQtGuiQMoveEvent.o sipQtGuiQPaintEvent.o sipQtGuiQFocusEvent.o sipQtGuiQKeyEvent.o sipQtGuiQTabletEvent.o sipQtGuiQWheelEvent.o sipQtGuiQHoverEvent.o sipQtGuiQMouseEvent.o sipQtGuiQInputEvent.o sipQtGuiQErrorMessage.o sipQtGuiQDrag.o sipQtGuiQDockWidgetDockWidgetFeatures.o sipQtGuiQDockWidget.o sipQtGuiQDirModel.o sipQtGuiQDialogButtonBoxStandardButtons.o sipQtGuiQDialogButtonBox.o sipQtGuiQDial.o sipQtGuiQDesktopWidget.o sipQtGuiQDesktopServices.o sipQtGuiQDateEdit.o sipQtGuiQTimeEdit.o sipQtGuiQDateTimeEditSections.o sipQtGuiQDateTimeEdit.o sipQtGuiQDataWidgetMapper.o sipQtGuiQCursor.o sipQtGuiQCompleter.o sipQtGuiQComboBox.o sipQtGuiQColorDialogColorDialogOptions.o sipQtGuiQColorDialog.o sipQtGuiQDialog.o sipQtGuiQColumnView.o sipQtGuiQClipboard.o sipQtGuiQCheckBox.o sipQtGuiQCalendarWidget.o sipQtGuiQButtonGroup.o sipQtGuiQConicalGradient.o sipQtGuiQRadialGradient.o sipQtGuiQLinearGradient.o sipQtGuiQGradient.o sipQtGuiQBrush.o sipQtGuiQCommandLinkButton.o sipQtGuiQPushButton.o sipQtGuiQColor.o sipQtGuiQVBoxLayout.o sipQtGuiQHBoxLayout.o sipQtGuiQBoxLayout.o sipQtGuiQLayout.o sipQtGuiQBitmap.o sipQtGuiQPixmap.o sipQtGuiQApplication.o sipQtGuiXEvent.o sipQtGuiQActionGroup.o sipQtGuiQAction.o sipQtGuiQAbstractSlider.o sipQtGuiQTextObjectInterface.o sipQtGuiQAbstractTextDocumentLayoutPaintContext.o sipQtGuiQAbstractTextDocumentLayoutSelection.o sipQtGuiQAbstractTextDocumentLayout.o sipQtGuiQAbstractSpinBoxStepEnabled.o sipQtGuiQAbstractSpinBox.o sipQtGuiQFrame.o sipQtGuiQAbstractProxyModel.o sipQtGuiQAbstractItemViewEditTriggers.o sipQtGuiQAbstractItemView.o sipQtGuiQAbstractScrollArea.o sipQtGuiQAbstractItemDelegate.o sipQtGuiQAbstractButton.o sipQtGuiQWidget.o
HFILES = sipAPIQtGui.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/home/maemo/python-qt4-4.6.2/qpy/QtGui -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/home/maemo/python-qt4-4.6.2/qpy/QtGui -Wl,-rpath,/usr/lib -Wl,--version-script=QtGui.exp
LIBS = -L/home/maemo/python-qt4-4.6.2/qpy/QtGui -L/usr/lib -lqpygui -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtGui; local: *; };' > QtGui.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
