=== debian/changelog ===
python-qt4 (4.6.2-maemo20091218.0) unstable; urgency=low

  * phonon/webkit REALLY fixed
  * examples packages
  * pyqt-gui-example to install gui and core modules via HAM
  * pyqt-all-examples to install all modules via HAM
  * brought up to date with trunk (which is now Qt 4.6 capable)

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 30 Nov 2009 12:10:22 +0100

python-qt4 (4.6.2-maemo20091123.2) unstable; urgency=low

  * Manual phonon dependency to allow phonon/webkit module build

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 30 Nov 2009 12:10:22 +0100
